# POUInfoDialog Class Reference

`#include <pouinfodialog.h>`

List of all members.

## Public Slots
void | setDialog ()
void | setPrototype ()
void | retranslateUi ()
## Public Member Functions
| POUInfoDialog (QWidget *parent, PageCtrl *pageCtrl, Prototype *prototype, ImportExport *importExport)
virtual | ~POUInfoDialog ()
## Private Slots
void | getDataFromDialog ()
## Private Member Functions
void | getSucosoftHeaderFromDialog ()
void | getMULTIPROGDataFromDialog ()
void | setDialogFromSucosoftHeader ()
void | setDialogFromMULTIPROGData ()
void | setInterfaceItemsEnabled ()
## Private Attributes
PageCtrl * | m_PageCtrl
| instance of PageCtrl class
Prototype * | m_Prototype
| instance of Prototype class
ImportExport * | m_ImportExport
| instance of ImportExport class

## Constructor & Destructor Documentation

POUInfoDialog::POUInfoDialog | ( | QWidget * | parent,
|  | PageCtrl * | pageCtrl,
|  | Prototype * | prototype,
|  | ImportExport * | importExport |
| ) |  |  |

creating function

Parameters:

  | PageCtrl | class, Prototype class, ImportExport class

POUInfoDialog::~POUInfoDialog | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void POUInfoDialog::getDataFromDialog | ( |  | ) | `[private, slot]`

get dialog content by dectcting current file extension if 1 or 5/6 (Sucosoft or MULTIPROG)

void POUInfoDialog::getMULTIPROGDataFromDialog | ( |  | ) | `[private]`

copy lineEdits & textEdit to current page

void POUInfoDialog::getSucosoftHeaderFromDialog | ( |  | ) | `[private]`

copy lineEdits & textEdit to current page

void POUInfoDialog::retranslateUi | ( |  | ) | `[slot]`

retranslate Ui

void POUInfoDialog::setDialog | ( |  | ) | `[slot]`

set dialog items by detecting current file extension if 1 or 5/6 (Moeller or KW-Software)

If file type is not plain POU, Moeller POU or KW-Software POU the input fields of the info section are disabled.

This function also calls Moeller header data if the file type has changed to any other, excluding KW-Software decription inputs. If the file type was changed from KW-Software to any other, the KW description data are there but not shown.

void POUInfoDialog::setDialogFromMULTIPROGData | ( |  | ) | `[private]`

collect MULTIPROG description and fill lineEdits & textEdit

void POUInfoDialog::setDialogFromSucosoftHeader | ( |  | ) | `[private]`

collect Sucosoft header and fill lineEdits & textEdit

void POUInfoDialog::setInterfaceItemsEnabled | ( |  | ) | `[private]`

set interface items enabled by detecting the file extension

void POUInfoDialog::setPrototype | ( |  | ) | `[slot]`

set prototype of current page

## Member Data Documentation

ImportExport* POUInfoDialog::m_ImportExport`[private]`

instance of ImportExport class

PageCtrl* POUInfoDialog::m_PageCtrl`[private]`

instance of PageCtrl class

Prototype* POUInfoDialog::m_Prototype`[private]`

instance of Prototype class

The documentation for this class was generated from the following files:

- pouinfodialog.h
- pouinfodialog.cpp